%define         gstreamer       gstreamer08
%define         majmin          0.8

%define         _glib2          2.3.0
%define         _libxml2        2.4.9

%define         po_package      gstreamer-%{majmin}

%define DOCBOOK_DTD_PATH `xmlcatalog /etc/xml/catalog "-//OASIS//DTD DocBook XML V4.2//EN" | sed -e "s#file://##g"`

Name:           %{gstreamer}
Version:        0.8.12
Release:        8%{?dist}
Summary:        GStreamer streaming media framework runtime

Group:          Applications/Multimedia
License:        LGPL
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.bz2
Patch0:         gstreamer-0.8.11-lib64.patch
# There was problems generating pdf and postscript:
Patch1:         gstreamer-0.7.5-nops.patch
Patch2:         gstreamer-0.8.9-cast-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	glib2-devel >= %_glib2
BuildRequires:	libxml2-devel >= %_libxml2
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	ghostscript
BuildRequires:  gettext-devel
BuildRequires:	libtool
BuildRequires:	bison
BuildRequires:	flex
### documentation requirements
BuildRequires:	xfig
BuildRequires:	python2
BuildRequires:	netpbm-progs

Requires:       popt > 1.6
Requires(post):	coreutils
Requires(post):	/sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package devel
Summary: 	Libraries/include files for GStreamer streaming media framework
Group: 		Development/Libraries

Requires: 	%{name} = %{version}-%{release}
Requires: 	glib2-devel >= %_glib2
Requires: 	libxml2-devel >= %_libxml2
Requires:	pkgconfig

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -q -n gstreamer-%{version}
%patch0 -p1 -b .lib64
%patch1 -p1 -b .nops
%patch2 -p1 -b .cast-fix

# openjade doesn't support xml catalogs, so we have to patch in the right dtd reference
find -name "*.xml" | xargs grep -l "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" | xargs perl -pi -e 's#http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd#/usr/share/sgml/docbook/xml-dtd-4.2-1.0-30.1/docbookx.dtd#g'

# The nopdf patch touches automake makefile sources
NOCONFIGURE=1 ./autogen.sh

%build

## FIXME should re-enable the docs build when it works
%configure --disable-plugin-builddir --disable-tests --disable-examples \
	 --with-cachedir=%{_localstatedir}/cache/gstreamer-%{majmin}	\
	--enable-docs-build --disable-docbook --disable-static     	\
	--disable-rpath --enable-debug

make %{?_smp_mflags}

%install  
rm -rf $RPM_BUILD_ROOT

# Install doc temporarily in order to be included later by rpm
make DESTDIR=${RPM_BUILD_ROOT} docdir=/installed-doc install
mv ${RPM_BUILD_ROOT}/installed-doc $(pwd)/installed-doc

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/gstreamer-%{majmin}

rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majmin}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so.0.0.0

# remove tools, provided by the 0.10 version now
for a in launch inspect register xmllaunch complete compprep feedback md5sum typefind xmlinspect
do
  rm $RPM_BUILD_ROOT%{_bindir}/gst-$a
done
# can't wildcard, will remove the -0.8 versions
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-i386 || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-i686 || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-x86_64 || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-ppc || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-powerpc || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-powerpc64 || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-s390 || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-s390x || true
rm $RPM_BUILD_ROOT%{_libexecdir}/gst-register-ia64 || true

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
env DISPLAY= %{_bindir}/gst-register-%{majmin} 1>/dev/null 2>&1

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO ABOUT-NLS REQUIREMENTS DOCBUILDING 
%dir %{_libdir}/gstreamer-%{majmin}
%dir %{_localstatedir}/cache/gstreamer-%{majmin}
%{_libdir}/gstreamer-%{majmin}/*.so*
%{_libdir}/*.so.*
%{_bindir}/*-%{majmin}
%{_libexecdir}/*-%{majmin}
%{_mandir}/man1/*-%{majmin}.1.gz

%files devel
%defattr(-, root, root)
%doc installed-doc/*
%dir %{_includedir}/gstreamer-%{majmin}
%{_includedir}/gstreamer-%{majmin}/*
%{_libdir}/libgstreamer-%{majmin}.so
%{_libdir}/libgstcontrol-%{majmin}.so
%{_libdir}/pkgconfig/gstreamer*.pc
%{_datadir}/aclocal/*
%{_datadir}/gtk-doc/html/*

%changelog
* Tue Sep  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.8.12-8
- fix the dtd reference so it will build.

* Tue Aug 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.8.12-7
- Rebuild for FC6.

* Fri Jun 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.8.12-6
- Add BR for libtool, flex, & bison.
- Add devel require on pkgconfig.

* Sun Mar  5 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-4
- Add dist tag.

* Sat Mar  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-3
- Fix rpath issues (Thanks to Michael Schwendt).

* Thu Feb 23 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-2
- Use --disable-rpath & --disable-static.
- Drop period in devel summary.

* Thu Feb 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-1
- Use preferred buildroot.
- Update to 0.8.12.
- Drop requires for glib2 & libxml2, devel sonames pull these in.
- Remove unnecessary BR (zlib-devel, docbook-style-xsl, docbook-utils,
  cvs, docbook-dtds, openjade, docbook-style-dsssl, transfig, autoconf,
  automake, bison, flex, popt).

* Tue Jan 10 2006 Bill Nottingham <notting@redhat.com> 0.8.11-3
- requires(pre) coreutils, since we call env

* Wed Jan 04 2006 Warren Togami <wtogami@redhat.com> 0.8.11-2
- explicitly list archs to remove for gst-register
- attempt to workaround openjade problem

* Fri Dec 16 2005 Thomas Vander Stichele <thomas at apestaart dot org> 0.8.11-1
- Update to upstream 0.8.11

* Tue May 03 2005 John (J5) Palmieri <johnp@redhat.com> 0.8.10-1
- Update to upstream 0.8.10

* Thu Mar 17 2005 Colin Walters <walters@redhat.com> 0.8.9-4
- Rebuild to make it through beehive

* Wed Mar 03 2005 John (J5) Palmieri <johnp@redhat.com> 0.8.9-3
- add gstreamer-0.8.9-cast-fix.patch which casts the variable
  before sending it into the macro
- update openjade hack to refrence xml-dtd-4.2-1.0-26

* Wed Mar 03 2005 John (J5) Palmieri <johnp@redhat.com> 0.8.9-2 
- rebuild with gcc 4.0

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 0.8.9-1
- Update to 0.8.9

* Mon Jan 10 2005 Colin Walters <walters@redhat.com> 0.8.8-2
- Updated gstreamer-0.8.8-lib64.patch which does not rename
  tools such as gst-launch to e.g. gst-launch-i686.

* Mon Jan 03 2005 Colin Walters <walters@redhat.com> 0.8.8-1
- Update to 0.8.8
- Remove upstreamed escape-uris patch
- Readd redirection of register output to /dev/null

* Tue Nov 09 2004 Colin Walters <walters@redhat.com> 0.8.7-6
- Add initial lib64 patch.

* Tue Oct 26 2004 Colin Walters <walters@redhat.com> 0.8.7-5
- Do not override docdir (126860)
- Remove datadir/gstreamer-%{majmin}/doc from files list

* Wed Oct 20 2004 Colin Walters <walters@redhat.com> 0.8.7-4
- Add URI escaping patch from Ronald (136507)

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> 0.8.7-3
- Quote %%configure in changelog (135412)

* Thu Oct 07 2004 Colin Walters <walters@redhat.com> 0.8.7-2
- BuildRequire gettext-devel

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 0.8.7-1
- update to 0.8.7

* Tue Oct  5 2004 Alexander Larsson <alexl@redhat.com> - 0.8.6-1
- update to 0.8.6
- Put the real lib .so symlinks in the -devel package
- Do not put .so plugins in the -devel package
- Correct docbook dtd version reference

* Tue Sep 28 2004 Colin Walters <walters@redhat.com> 0.8.5-2
- Move .so symlinks to -devel package

* Tue Aug 16 2004 Colin Walters <walters@redhat.com> 0.8.5-1
- Update to 0.8.5

* Tue Jul 26 2004 Colin Walters <walters@redhat.com> 0.8.4-1
- Update to 0.8.4

* Tue Jul 20 2004 Colin Walters <walters@redhat.com> 0.8.3.3-1
- Update

* Tue Jul 05 2004 Colin Walters <walters@redhat.com> 0.8.3-3
- Another rebuild to placate beehive!

* Tue Jul 05 2004 Colin Walters <walters@redhat.com> 0.8.3-2
- Rebuild to placate beehive

* Wed Jun 23 2004 Colin Walters <walters@redhat.com> 0.8.3-1
- Update to 0.8.3, now that I am convinced it is safe.
- Remove backported cpufix patch.
- "cvs remove" a bunch of obsoleted patches.

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 0.8.1-5
- BuildRequire gettext-devel

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 0.8.1-4
- BuildRequire ghostscript

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 0.8.1-3
- Apply register-clobbering patch from upstream CVS.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 0.8.1-2
- rebuilt

* Mon Apr 15 2004 Colin Walters <walters@redhat.com> 0.8.1-1
- Update to 0.8.1
- Delete registry patches which have been upstreamed
- COPYING.LIB is gone

* Mon Apr 05 2004 Colin Walters <walters@redhat.com> 0.8.0-4
- I have discovered that it is helpful, when adding patches
  to a package, to actually add the "%patchN" lines.

* Mon Mar 22 2004 Colin Walters <walters@redhat.com> 0.8.0-3
- Add BuildRequires on flex
- Add patch to avoid calling opendir() on files

* Mon Mar 22 2004 Colin Walters <walters@redhat.com> 0.8.0-2
- Add patch to avoid setting mtime on registry

* Tue Mar 16 2004 Alex Larsson <alexl@redhat.com> 0.8.0-1
- update to 0.8.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.7.6-1
- update to 0.7.6

* Thu Mar  4 2004 Jeremy Katz <katzj@redhat.com> - 0.7.5-2
- fix plugin dir with respect to %%_lib

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 0.7.5-1
- update to 0.7.5
- clean up specfile some
- enable docs

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  4 2004 Bill Nottingham <notting@redhat.com> 0.7.3-4
- fix %%post

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 0.7.3-3
- add s390 patch

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.7.3-1
- new version

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Update to 0.6.3 (gnome 2.4 final)

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 0.6.2-6
- 0.6.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com> 0.6.0-5
- ppc64 patch

* Wed Feb 12 2003 Bill Nottingham <notting@redhat.com> 0.6.0-4
- fix group

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 0.6.0-3
- prereq, not require, gstreamer-tools

* Tue Feb 11 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-2
- unset the DISPLAY when running gst-register

* Mon Feb  3 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-1
- yes it is needed.  Readding

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- remove "tools" sub-rpm, this is not needed at all

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com> 0.5.2-7
- stopped using %%configure so we need to pass in all the args

* Mon Jan 27 2003 Jonathan Blandford <jrb@redhat.com>
- remove -Werror explicitly as the configure macro isn't working.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-10
- Add patch1 to fix C++ plugins on ia64

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- %post -p was wrong

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- explicitly add %{_libdir}/libgstreamer-{majmin}.so
- explicitly add %{_libdir}/libgstcontrol-{majmin}.so

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com>
- bump release

* Fri Dec 13 2002 Jonathan Blandford <jrb@redhat.com>
- move .so files out of -devel

* Tue Dec 10 2002 Jonathan Blandford <jrb@redhat.com>
- new version 0.5.0
- require docbook-style-xsl
- add gstreamer-tools package too
- New patch to use the right docbook prefix.

* Tue Dec 10 2002 Jonathan Blandford <jrb@redhat.com>
- downgrade to a release candidate.  Should work better on other arches
- build without Werror

* Mon Dec  9 2002 Jonathan Blandford <jrb@redhat.com>
- update to new version.  Remove ExcludeArch

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch some arches

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- import into CVS and build "officially"
- use smp_mflags
- temporarily disable docs build, doesn't seem to work

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- minor cleanups

* Sat Jun 22 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved header location

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added popt
- removed .la

* Fri Jun 07 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added release of gstreamer to req of gstreamer-devel
- changed location of API docs to be in gtk-doc like other gtk-doc stuff
- reordered SPEC file

* Mon Apr 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved html docs to gtk-doc standard directory

* Tue Mar 5 2002 Thomas Vander Stichele <thomas@apestaart.org>
- move version defines of glib2 and libxml2 to configure.ac
- add BuildRequires for these two libs

* Sun Mar 3 2002 Thomas Vander Stichele <thomas@apestaart.org>
- put html docs in canonical place, avoiding %doc erasure
- added devhelp support, current install of it is hackish

* Sat Mar 2 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added documentation to build

* Mon Feb 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added libgstbasicscheduler
- renamed libgst to libgstreamer

* Fri Jan 04 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added configdir parameter as it seems the configdir gets weird otherwise

* Thu Jan 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- split off gstreamer-editor from core
- removed gstreamer-gnome-apps

* Sat Dec 29 2001 Rodney Dawes <dobey@free.fr>
- Cleaned up the spec file for the gstreamer core/plug-ins split
- Improve spec file

* Sat Dec 15 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split of more plugins from the core and put them into their own modules
- Includes colorspace, xfree and wav
- Improved package Require lines
- Added mp3encode (lame based) to the SPEC

* Wed Dec 12 2001 Christian Schaller <Uraeus@linuxrising.org>
- Thomas merged mpeg plugins into one
* Sat Dec 08 2001 Christian Schaller <Uraeus@linuxrising.org>
- More minor cleanups including some fixed descriptions from Andrew Mitchell

* Fri Dec 07 2001 Christian Schaller <Uraeus@linuxrising.org>
- Added logging to the make statement

* Wed Dec 05 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated in preparation for 0.3.0 release

* Fri Jun 29 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated for 0.2.1 release
- Split out the GUI packages into their own RPM
- added new plugins (FLAC, festival, quicktime etc.)

* Sat Jun 09 2001 Christian Schaller <Uraeus@linuxrising.org>
- Visualisation plugins bundled out togheter
- Moved files sections up close to their respective descriptions

* Sat Jun 02 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split the package into separate RPMS, 
  putting most plugins out by themselves.

* Fri Jun 01 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated with change suggestions from Dennis Bjorklund

* Tue Jan 09 2001 Erik Walthinsen <omega@cse.ogi.edu>
- updated to build -devel package as well

* Sun Jan 30 2000 Erik Walthinsen <omega@cse.ogi.edu>
- first draft of spec file

